#!/bin/bash -f
# ****************************************************************************
# Vivado (TM) v2019.2 (64-bit)
#
# Filename    : simulate.sh
# Simulator   : Xilinx Vivado Simulator
# Description : Script for simulating the design by launching the simulator
#
# Generated by Vivado on Fri Jan 24 19:26:07 CET 2020
# SW Build 2708876 on Wed Nov  6 21:39:14 MST 2019
#
# Copyright 1986-2019 Xilinx, Inc. All Rights Reserved.
#
# usage: simulate.sh
#
# ****************************************************************************
set -Eeuo pipefail
echo "xsim TP3_Testbench_behav -key {Behavioral:sim_1:Functional:TP3_Testbench} -tclbatch TP3_Testbench.tcl -log simulate.log"
xsim TP3_Testbench_behav -key {Behavioral:sim_1:Functional:TP3_Testbench} -tclbatch TP3_Testbench.tcl -log simulate.log

